[Launch]
ProgramExecutable="EaseUSDataRecovery32\DRWST.exe"
ProgramExecutable64="EaseUSDataRecovery64\DRWST.exe"
WorkingDirectory=%PAL:CUSTOM_WORKDIR%
RunAsAdmin=force 
SinglePortableAppInstance=true
SupportsUNC=yes 
DirectoryMoveOK=yes 

[Activate]    
Registry=true 

[RegistryValueWrite]
HKLM\SOFTWARE\EASEUS\EaseUS Data Recovery Wizard\SetUpPathName=REG_SZ:%PAL:AppDir%\EaseUSDataRecovery\DRW.exe
HKLM\SOFTWARE\EASEUS\EaseUS Data Recovery Wizard\ExpiredDays=REG_BINARY:ffffffffffffffff

[RegistryKeys]
EaseUSDataRecovery=HKLM\SOFTWARE\EASEUS
-=HKCU\Software\Microsoft\Internet Explorer\Main\FeatureControl\FEATURE_BROWSER_EMULATION\DRWUI.exe

[RegistryCleanupIfEmpty]
1=HKLM\SOFTWARE\EASEUS

[DirectoriesCleanupIfForce]
1=%ALLUSERSAPPDATA%\SystemAcCrux

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\EaseUSDataRecovery.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\EaseUSDataRecovery.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\EaseUSDataRecovery.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\

